Package org.apache.iotdb.jdbc

# Enum Constant.Version

java.lang.Object
java.lang.Enum<Constant.Version>
org.apache.iotdb.jdbc.Constant.Version

All Implemented Interfaces:
  `Serializable`, `Comparable<Constant.Version>`

Enclosing class:
  Constant

public static enum Constant.Version extends Enum<Constant.Version>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`V_0_12`
`V_0_13`
`V_1_0`

## Method Summary

Modifier and Type
Method
Description
`static Constant.Version`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Constant.Version[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### V_0_12

public static final Constant.Version V_0_12

### V_0_13

public static final Constant.Version V_0_13

### V_1_0

public static final Constant.Version V_1_0

## Method Details

### values

public static Constant.Version[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Constant.Version valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null